Logo

Hover an endpoint and click the pin icon to pin it here.

GETGet Enriched NetFlow Data
GETGet Network Diagram Summary
GETGet Top Destinations
GETGet Data Transfer
GETGet Services
GETGet Protocols
GETGet Top Things
GETGet Breakouts
GETGet TCP-Flags
GETGet NetFlow Summary
GETGet Groups Filter List
GETGet MNO Filter List
GETGet Profiles Filter List
GETGet Countries Filter List
GETGet Breakout Filter List
GETGet Protocols Filter List
GETGet Invoice Type Filter List
GETGet Payment Status Filter List
GETGet Billing Period Filter List
GETGet Account Filter List
GETGet Account Billable Filter List
GETGet Exceptional Billable Filter List
GETGet Payment Reports
POSTCreate Payment Report
GETGet Data Usage
GETGet Insights
GETGet Dashboard Summary
GETGet Top Groups
GETGet Top Identities
GETGet Top Networks
GETGet Top Consumers
GETGet Active Things
GETDownload Payment Report
GETGet Top DNS Transfer
GETGet DNS Summary
GETGet DNS Time Series
GETGet DNS Top Queries
GETGet DNS Top Donut
GETGet DNS Clients Affected
GETGet DNS Top Failing Domains
GETGet DNS Failing Things
GETGet DNS Resolver Coverage
GETGet NetFlow Insights
GETGet Things Status
GETGet Countries
GETGet Thing Data Usage
GETGet Group Data Usage
GETGet Tag Data Usage
v1.0.35
Admin
get
api.monogoto.io/v1/reports/data-usage/thing/{iccid}

Get Thing Data Usage

Scopes
dashboard:read
Rate limited
60 reqevery 1 minute·keyed byUser ID

Retrieve the daily data usage of a single Thing.

Without a date parameter the window is the current calendar month (UTC). start_time and end_time must be sent together; the window, including one derived from period, cannot exceed 180 days — a longer one (e.g. period=this_year late in the year) is 400. data has one point per day; date is the bucket start as an ISO 8601 timestamp.

A malformed ICCID is 400; a Thing the caller cannot see is 403 or 404.

Parameters

Path
iccidstring
required

The ICCID of the Thing (19 or 20 digits, starting with 89).

Query
start_timedate-time
optional

Start of the time range in ISO 8601 UTC format (e.g. 2026-01-01T00:00:00Z). Must be before end_time. When omitted, defaults to the start of the predefined period.

end_timedate-time
optional

End of the time range in ISO 8601 UTC format (e.g. 2026-01-31T23:59:59Z). Must be after start_time. The maximum range is set per endpoint (see its description). When omitted, defaults to the end of the predefined period.

periodstring
optional

Predefined report period.

enum:todaylast_24_hoursyesterdaylast_7_daysthis_monthlast_monthlast_30_daysthis_quarterlast_quarterthis_yearlast_yearlast_12_months

Responses

Thing Data Usage retrieved successfully

application/json
object
status_codeinteger
required

HTTP status code

messagestring
required

Response message

dataobject
required
thing_idstring
optional
iccidstring
optional
dataarray[object]
optional
[ ]object
optional
total_bytesnumber
optional
billing_periodobject
optional

The window the usage covers.

startstring · date-time
optional
endstring · date-time
optional
request_idstring
required

Unique request ID for tracking

Example

{
  "status_code": 200,
  "message": "Success",
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "data": {
    "thing_id": "ThingId_ICCID_8988223000000000001",
    "iccid": "8988223000000000001",
    "data": [
      {
        "date": "2026-01-01T00:00:00.000Z",
        "usage_bytes": 100000
      }
    ],
    "total_bytes": 2456672829,
    "billing_period": {
      "start": "2026-01-01T00:00:00Z",
      "end": "2026-01-31T12:00:00Z"
    }
  }
}

Related

5
GET

Get Enriched NetFlow Data

/v1/netflow/enriched

GET

Get Network Diagram Summary

/v1/netflow/networkdiagram-summary

GET

Get Top Destinations

/v1/netflow/top-destinations

GET

Get Data Transfer

/v1/netflow/data-transfer

GET

Get Services

/v1/netflow/services

Was this page helpful?

/
curl -X GET 'https://api.monogoto.io/v1/reports/data-usage/thing/8988223000000000001?start_time=2026-01-01T00%3A00%3A00Z&end_time=2026-01-31T23%3A59%3A59Z&period=last_30_days' \
  -H 'Authorization: Bearer $TOKEN'

Thing Data Usage retrieved successfully

{
  "status_code": 200,
  "message": "Success",
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "data": {
    "thing_id": "ThingId_ICCID_8988223000000000001",
    "iccid": "8988223000000000001",
    "data": [
      {
        "date": "2026-01-01T00:00:00.000Z",
        "usage_bytes": 100000
      }
    ],
    "total_bytes": 2456672829,
    "billing_period": {
      "start": "2026-01-01T00:00:00Z",
      "end": "2026-01-31T12:00:00Z"
    }
  }
}